### GET /projects Source: https://api.deployhq.com/docs.json API endpoint for GET /projects ```markdown ### Responses #### 200 - response **f15ef4650a77e191419f3179eea970dc** - Array of object - **name** (string) - **permalink** (string) - **identifier** (string) - **public_key** (string) - **repository** (object) - **scm_type** (string) - **url** (string) - **port** (null,integer) - **username** (null,string) - **branch** (string) - **cached** (boolean) - **hosting_service** (object) - **name** (string) - **url** (string) - **tree_url** (string) - **commits_url** (string) - **zone** (string) - **last_deployed_at** (string) - **auto_deploy_url** (string) #### 401 - response **c05b3ceb32406df5ef17ddbd369eaef6** - **status** (integer) (required) - **error** (string) #### 403 - response **c05b3ceb32406df5ef17ddbd369eaef6** - **status** (integer) (required) - **error** (string) #### 500 - response **c05b3ceb32406df5ef17ddbd369eaef6** - **status** (integer) (required) - **error** (string) ### Example Usage ```bash curl -X GET "https://{account}.deployhq.com/projects" ``` ``` -------------------------------- ### GET /templates Source: https://api.deployhq.com/docs.json API endpoint for GET /templates ```markdown ### Responses #### 200 - response **edca2776ba769759997bb19c5655c6d3** - Array of object - **name** (string) - **permalink** (string) - **description** (string) #### 401 - response **c05b3ceb32406df5ef17ddbd369eaef6** - **status** (integer) (required) - **error** (string) #### 403 - response **c05b3ceb32406df5ef17ddbd369eaef6** - **status** (integer) (required) - **error** (string) #### 500 - response **c05b3ceb32406df5ef17ddbd369eaef6** - **status** (integer) (required) - **error** (string) ### Example Usage ```bash curl -X GET "https://{account}.deployhq.com/templates" ``` ``` -------------------------------- ### GET /projects/{id} Source: https://api.deployhq.com/docs.json API endpoint for GET /projects/{id} ```markdown ### Parameters - **id** (string, path, required): The identifier or permalink of the project ### Responses #### 200 - response **4947eaec125e3a5da2aa9a5f42e58d62** - **name** (string) - **permalink** (string) - **identifier** (string) - **public_key** (string) - **repository** (object) - **scm_type** (string) - **url** (string) - **port** (null,integer) - **username** (null,string) - **branch** (string) - **cached** (boolean) - **hosting_service** (object) - **name** (string) - **url** (string) - **tree_url** (string) - **commits_url** (string) - **zone** (string) - **last_deployed_at** (string) - **auto_deploy_url** (string) #### 401 - response **c05b3ceb32406df5ef17ddbd369eaef6** - **status** (integer) (required) - **error** (string) #### 403 - response **c05b3ceb32406df5ef17ddbd369eaef6** - **status** (integer) (required) - **error** (string) #### 404 - response **c05b3ceb32406df5ef17ddbd369eaef6** - **status** (integer) (required) - **error** (string) #### 500 - response **c05b3ceb32406df5ef17ddbd369eaef6** - **status** (integer) (required) - **error** (string) ### Example Usage ```bash curl -X GET "https://{account}.deployhq.com/projects/{id}" ``` ``` -------------------------------- ### GET /projects/{project_id}/config_files Source: https://api.deployhq.com/docs.json API endpoint for GET /projects/{project_id}/config_files ```markdown ### Parameters - **project_id** (string, path, required): The identifier or permalink of the project ### Responses #### 200 - response **3e130fe331b8e0bbac3b06463df5cb7d** - Array of object - **identifier** (string) - **description** (string) - **path** (string) - **body** (string) - **build** (boolean) - **servers** (array (object)) Array items: - **id** (integer) - **identifier** (string) - **name** (string) - **protocol_type** (string) - **server_path** (string) - **last_revision** (null,string) - **preferred_branch** (string) - **branch** (string) - **notify_email** (string) - **server_group_identifier** (string) - **auto_deploy** (boolean) - **environment** (string) - **enabled** (boolean) - **agent** (null,string) - **atomic** (boolean) - **atomic_strategy** (string) - **atomic_retention** (integer) - **use_compression** (boolean) - **use_accelerated_transfer** (boolean) - **root_path** (string) - **position** (integer) - **created_at** (string) - **updated_at** (string) - **connection_checked_at** (null,string) - **connection_error_message** (null,string) - **hostname** (string) - **username** (string) - **port** (string) - **use_ssh_keys** (boolean) - **host_key** (string) - **unlink_before_upload** (boolean) #### 401 - response **c05b3ceb32406df5ef17ddbd369eaef6** - **status** (integer) (required) - **error** (string) #### 403 - response **c05b3ceb32406df5ef17ddbd369eaef6** - **status** (integer) (required) - **error** (string) #### 500 - response **c05b3ceb32406df5ef17ddbd369eaef6** - **status** (integer) (required) - **error** (string) ### Example Usage ```bash curl -X GET "https://{account}.deployhq.com/projects/{project_id}/config_files" ``` ``` -------------------------------- ### GET /templates/public_templates Source: https://api.deployhq.com/docs.json API endpoint for GET /templates/public_templates ```markdown ### Parameters - **framework_type** (string, query, optional): Filter by framework type (web_frameworks, cms, ecommerce, static_sites, all) ### Responses #### 200 - response **edca2776ba769759997bb19c5655c6d3** - Array of object - **name** (string) - **permalink** (string) - **description** (string) #### 401 - response **c05b3ceb32406df5ef17ddbd369eaef6** - **status** (integer) (required) - **error** (string) #### 403 - response **c05b3ceb32406df5ef17ddbd369eaef6** - **status** (integer) (required) - **error** (string) #### 500 - response **c05b3ceb32406df5ef17ddbd369eaef6** - **status** (integer) (required) - **error** (string) ### Example Usage ```bash curl -X GET "https://{account}.deployhq.com/templates/public_templates?framework_type=string" ``` ``` -------------------------------- ### GET /projects/{project_id}/build_commands Source: https://api.deployhq.com/docs.json API endpoint for GET /projects/{project_id}/build_commands ```markdown ### Parameters - **project_id** (string, path, required): The identifier or permalink of the project ### Responses #### 200 - response **278b5b71dacfe717ecda20153bc6a17c** - Array of object - **id** (integer) - **project_id** (null,integer) - **description** (string) - **command** (string) - **halt_on_error** (boolean) - **position** (integer) - **created_at** (string) - **updated_at** (string) - **identifier** (string) - **parent_type** (string) - **parent_id** (integer) - **template_name** (string) - **enabled** (boolean) #### 401 - response **c05b3ceb32406df5ef17ddbd369eaef6** - **status** (integer) (required) - **error** (string) #### 403 - response **c05b3ceb32406df5ef17ddbd369eaef6** - **status** (integer) (required) - **error** (string) #### 500 - response **c05b3ceb32406df5ef17ddbd369eaef6** - **status** (integer) (required) - **error** (string) ### Example Usage ```bash curl -X GET "https://{account}.deployhq.com/projects/{project_id}/build_commands" ``` ``` -------------------------------- ### GET /projects/{project_id}/commands Source: https://api.deployhq.com/docs.json API endpoint for GET /projects/{project_id}/commands ```markdown ### Parameters - **project_id** (string, path, required): The identifier or permalink of the project ### Responses #### 200 - response **e432983dc4c193769a12be9101070f8c** - Array of object - **identifier** (string) - **cback** (string) - **position** (integer) - **description** (string) - **command** (string) - **halt_on_error** (boolean) - **servers** (array (object)) Array items: - **id** (integer) - **identifier** (string) - **name** (string) - **protocol_type** (string) - **server_path** (string) - **last_revision** (string) - **preferred_branch** (string) - **branch** (string) - **notify_email** (string) - **server_group_identifier** (null,string) - **auto_deploy** (boolean) - **environment** (string) - **enabled** (boolean) - **agent** (null,string) - **atomic** (boolean) - **atomic_strategy** (string) - **atomic_retention** (integer) - **use_compression** (boolean) - **use_accelerated_transfer** (boolean) - **root_path** (string) - **position** (integer) - **created_at** (string) - **updated_at** (string) - **connection_checked_at** (null,string) - **connection_error_message** (null,string) - **hostname** (string) - **username** (string) - **port** (integer) - **use_ssh_keys** (boolean) - **host_key** (string) - **unlink_before_upload** (boolean) - **timing** (string) - **timeout** (integer) - **enabled** (boolean) #### 401 - response **c05b3ceb32406df5ef17ddbd369eaef6** - **status** (integer) (required) - **error** (string) #### 403 - response **c05b3ceb32406df5ef17ddbd369eaef6** - **status** (integer) (required) - **error** (string) #### 500 - response **c05b3ceb32406df5ef17ddbd369eaef6** - **status** (integer) (required) - **error** (string) ### Example Usage ```bash curl -X GET "https://{account}.deployhq.com/projects/{project_id}/commands" ``` ``` -------------------------------- ### GET /projects/{project_id}/servers Source: https://api.deployhq.com/docs.json API endpoint for GET /projects/{project_id}/servers ```markdown ### Parameters - **project_id** (string, path, required): The identifier or permalink of the project ### Responses #### 200 - response **3b7061bf4dc91fceac3f74c4f6157efc** - Array of object - **id** (integer) - **identifier** (string) - **name** (string) - **protocol_type** (string) - **server_path** (string) - **last_revision** (null,string) - **preferred_branch** (string) - **branch** (string) - **notify_email** (string) - **server_group_identifier** (string) - **auto_deploy** (boolean) - **environment** (string) - **enabled** (boolean) - **agent** (null,string) - **atomic** (boolean) - **atomic_strategy** (string) - **atomic_retention** (integer) - **use_compression** (boolean) - **use_accelerated_transfer** (boolean) - **root_path** (string) - **position** (integer) - **created_at** (string) - **updated_at** (string) - **connection_checked_at** (null,string) - **connection_error_message** (null,string) - **hostname** (string) - **username** (string) - **port** (string) - **use_ssh_keys** (boolean) - **host_key** (string) - **unlink_before_upload** (boolean) #### 401 - response **c05b3ceb32406df5ef17ddbd369eaef6** - **status** (integer) (required) - **error** (string) #### 403 - response **c05b3ceb32406df5ef17ddbd369eaef6** - **status** (integer) (required) - **error** (string) #### 500 - response **c05b3ceb32406df5ef17ddbd369eaef6** - **status** (integer) (required) - **error** (string) ### Example Usage ```bash curl -X GET "https://{account}.deployhq.com/projects/{project_id}/servers" ``` ``` -------------------------------- ### GET /projects/{project_id}/repository Source: https://api.deployhq.com/docs.json API endpoint for GET /projects/{project_id}/repository ```markdown ### Parameters - **project_id** (string, path, required): The identifier or permalink of the project ### Responses #### 200 - response **d4d4df3049e4693f9414d828ef4e621a** - **scm_type** (string) - **url** (string) - **port** (null,integer) - **username** (null,string) - **branch** (string) - **cached** (boolean) - **hosting_service** (object) - **name** (string) - **url** (string) - **tree_url** (string) - **commits_url** (string) #### 401 - response **c05b3ceb32406df5ef17ddbd369eaef6** - **status** (integer) (required) - **error** (string) #### 403 - response **c05b3ceb32406df5ef17ddbd369eaef6** - **status** (integer) (required) - **error** (string) #### 404 - response **c05b3ceb32406df5ef17ddbd369eaef6** - **status** (integer) (required) - **error** (string) #### 500 - response **c05b3ceb32406df5ef17ddbd369eaef6** - **status** (integer) (required) - **error** (string) ### Example Usage ```bash curl -X GET "https://{account}.deployhq.com/projects/{project_id}/repository" ``` ``` -------------------------------- ### GET /projects/{project_id}/repository/commit_info Source: https://api.deployhq.com/docs.json API endpoint for GET /projects/{project_id}/repository/commit_info ```markdown ### Parameters - **project_id** (string, path, required): The identifier or permalink of the project - **commit** (string, query, required): The commit reference to get information for ### Responses #### 200 - response **c84919acc56f124e03b634bd7a7be2fa** - **ref** (string) (required) - **author** (string) (required) - **email** (string) (required) - **timestamp** (string) (required) - **message** (string) - **short_message** (string) - **tags** (array (string)) - **avatar_url** (string) #### 401 - response **c05b3ceb32406df5ef17ddbd369eaef6** - **status** (integer) (required) - **error** (string) #### 403 - response **c05b3ceb32406df5ef17ddbd369eaef6** - **status** (integer) (required) - **error** (string) #### 404 - response **183f737b640374d4f693193012fa6154** #### 422 - response **9d665ada07b74ee5119ec08992fb01eb** - **error** (string) #### 500 - response **c05b3ceb32406df5ef17ddbd369eaef6** - **status** (integer) (required) - **error** (string) ### Example Usage ```bash curl -X GET "https://{account}.deployhq.com/projects/{project_id}/repository/commit_info?commit=string" ``` ``` -------------------------------- ### GET /agents Source: https://api.deployhq.com/docs.json API endpoint for GET /agents ```markdown ### Responses #### 200 - response **f979bd52e8415930862ea03ac4d38de6** - Array of object - **id** (integer) - **created_at** (string) - **identifier** (string) - **name** (string) - **online** (boolean) - **revoked_at** (null,string) - **updated_at** (string) #### 401 - response **c05b3ceb32406df5ef17ddbd369eaef6** - **status** (integer) (required) - **error** (string) #### 403 - response **c05b3ceb32406df5ef17ddbd369eaef6** - **status** (integer) (required) - **error** (string) #### 500 - response **c05b3ceb32406df5ef17ddbd369eaef6** - **status** (integer) (required) - **error** (string) ### Example Usage ```bash curl -X GET "https://{account}.deployhq.com/agents" ``` ``` -------------------------------- ### GET /projects/{project_id}/config_files/{id} Source: https://api.deployhq.com/docs.json API endpoint for GET /projects/{project_id}/config_files/{id} ```markdown ### Parameters - **project_id** (string, path, required): The identifier or permalink of the project - **id** (string, path, required): The identifier of the config file ### Responses #### 200 - response **e7b4fb31a0b359a4980323278fb1385d** - **identifier** (string) - **description** (string) - **path** (string) - **body** (string) - **build** (boolean) - **servers** (array (object)) Array items: - **id** (integer) - **identifier** (string) - **name** (string) - **protocol_type** (string) - **server_path** (string) - **last_revision** (null,string) - **preferred_branch** (string) - **branch** (string) - **notify_email** (string) - **server_group_identifier** (string) - **auto_deploy** (boolean) - **environment** (string) - **enabled** (boolean) - **agent** (null,string) - **atomic** (boolean) - **atomic_strategy** (string) - **atomic_retention** (integer) - **use_compression** (boolean) - **use_accelerated_transfer** (boolean) - **root_path** (string) - **position** (integer) - **created_at** (string) - **updated_at** (string) - **connection_checked_at** (null,string) - **connection_error_message** (null,string) - **hostname** (string) - **username** (string) - **port** (string) - **use_ssh_keys** (boolean) - **host_key** (string) - **unlink_before_upload** (boolean) #### 401 - response **c05b3ceb32406df5ef17ddbd369eaef6** - **status** (integer) (required) - **error** (string) #### 403 - response **c05b3ceb32406df5ef17ddbd369eaef6** - **status** (integer) (required) - **error** (string) #### 404 - response **c05b3ceb32406df5ef17ddbd369eaef6** - **status** (integer) (required) - **error** (string) #### 500 - response **c05b3ceb32406df5ef17ddbd369eaef6** - **status** (integer) (required) - **error** (string) ### Example Usage ```bash curl -X GET "https://{account}.deployhq.com/projects/{project_id}/config_files/{id}" ``` ``` -------------------------------- ### GET /projects/{project_id}/environment_variables Source: https://api.deployhq.com/docs.json API endpoint for GET /projects/{project_id}/environment_variables ```markdown ### Parameters - **project_id** (string, path, required): The identifier or permalink of the project ### Responses #### 200 - response **4f30d44341d01c890748cd4bca2a54cb** - Array of object - **identifier** (integer) - **name** (string) - **masked_value** (string) - **locked** (boolean) - **build_pipeline** (boolean) - **created_at** (string) - **updated_at** (string) #### 401 - response **c05b3ceb32406df5ef17ddbd369eaef6** - **status** (integer) (required) - **error** (string) #### 403 - response **c05b3ceb32406df5ef17ddbd369eaef6** - **status** (integer) (required) - **error** (string) #### 500 - response **c05b3ceb32406df5ef17ddbd369eaef6** - **status** (integer) (required) - **error** (string) ### Example Usage ```bash curl -X GET "https://{account}.deployhq.com/projects/{project_id}/environment_variables" ``` ``` -------------------------------- ### GET /templates/{id}/public/{id} Source: https://api.deployhq.com/docs.json API endpoint for GET /templates/{id}/public/{id} ```markdown ### Parameters - **id** (string, path, required): The identifier or permalink of the public template ### Responses #### 200 - response **1f0fb7a8c90bbc870229e6c08b46cff1** - **name** (string) - **permalink** (string) - **description** (string) #### 401 - response **c05b3ceb32406df5ef17ddbd369eaef6** - **status** (integer) (required) - **error** (string) #### 403 - response **c05b3ceb32406df5ef17ddbd369eaef6** - **status** (integer) (required) - **error** (string) #### 404 - response **9d665ada07b74ee5119ec08992fb01eb** - **error** (string) #### 500 - response **c05b3ceb32406df5ef17ddbd369eaef6** - **status** (integer) (required) - **error** (string) ### Example Usage ```bash curl -X GET "https://{account}.deployhq.com/templates/{id}/public/{id}" ``` ``` -------------------------------- ### GET /projects/{project_id}/servers/{id} Source: https://api.deployhq.com/docs.json API endpoint for GET /projects/{project_id}/servers/{id} ```markdown ### Parameters - **project_id** (string, path, required): The identifier or permalink of the project - **id** (string, path, required): The identifier of the server ### Responses #### 200 - response **d8b121d3a10a1a26e3484067f94f9ebf** - **id** (integer) - **identifier** (string) - **name** (string) - **protocol_type** (string) - **server_path** (string) - **last_revision** (null,string) - **preferred_branch** (string) - **branch** (string) - **notify_email** (string) - **server_group_identifier** (string) - **auto_deploy** (boolean) - **environment** (string) - **enabled** (boolean) - **agent** (null,string) - **atomic** (boolean) - **atomic_strategy** (string) - **atomic_retention** (integer) - **use_compression** (boolean) - **use_accelerated_transfer** (boolean) - **root_path** (string) - **position** (integer) - **created_at** (string) - **updated_at** (string) - **connection_checked_at** (null,string) - **connection_error_message** (null,string) - **hostname** (string) - **username** (string) - **port** (string) - **use_ssh_keys** (boolean) - **host_key** (string) - **unlink_before_upload** (boolean) #### 401 - response **c05b3ceb32406df5ef17ddbd369eaef6** - **status** (integer) (required) - **error** (string) #### 403 - response **c05b3ceb32406df5ef17ddbd369eaef6** - **status** (integer) (required) - **error** (string) #### 404 - response **c05b3ceb32406df5ef17ddbd369eaef6** - **status** (integer) (required) - **error** (string) #### 500 - response **c05b3ceb32406df5ef17ddbd369eaef6** - **status** (integer) (required) - **error** (string) ### Example Usage ```bash curl -X GET "https://{account}.deployhq.com/projects/{project_id}/servers/{id}" ``` ``` -------------------------------- ### GET /projects/{project_id}/build_known_hosts Source: https://api.deployhq.com/docs.json API endpoint for GET /projects/{project_id}/build_known_hosts ```markdown ### Parameters - **project_id** (string, path, required): The identifier or permalink of the project ### Responses #### 200 - response **37e19d667193ac8d78db5730039bd6cd** - Array of object - **identifier** (string) - **hostname** (string) - **fingerprint** (string) #### 401 - response **c05b3ceb32406df5ef17ddbd369eaef6** - **status** (integer) (required) - **error** (string) #### 403 - response **c05b3ceb32406df5ef17ddbd369eaef6** - **status** (integer) (required) - **error** (string) #### 500 - response **c05b3ceb32406df5ef17ddbd369eaef6** - **status** (integer) (required) - **error** (string) ### Example Usage ```bash curl -X GET "https://{account}.deployhq.com/projects/{project_id}/build_known_hosts" ``` ``` -------------------------------- ### GET /projects/{project_id}/environment_variables/{id} Source: https://api.deployhq.com/docs.json API endpoint for GET /projects/{project_id}/environment_variables/{id} ```markdown ### Parameters - **project_id** (string, path, required): The identifier or permalink of the project - **id** (string, path, required): The identifier of the environment variable ### Responses #### 200 - response **a77eb5d71d4733a1dcd30d3b4506aca9** - **identifier** (integer) - **name** (string) - **masked_value** (string) - **locked** (boolean) - **build_pipeline** (boolean) - **created_at** (string) - **updated_at** (string) #### 401 - response **c05b3ceb32406df5ef17ddbd369eaef6** - **status** (integer) (required) - **error** (string) #### 403 - response **c05b3ceb32406df5ef17ddbd369eaef6** - **status** (integer) (required) - **error** (string) #### 404 - response **c05b3ceb32406df5ef17ddbd369eaef6** - **status** (integer) (required) - **error** (string) #### 500 - response **c05b3ceb32406df5ef17ddbd369eaef6** - **status** (integer) (required) - **error** (string) ### Example Usage ```bash curl -X GET "https://{account}.deployhq.com/projects/{project_id}/environment_variables/{id}" ``` ``` -------------------------------- ### API Overview: DeployHQ API Interactive Documentation Source: https://api.deployhq.com/docs.json # DeployHQ API DeployHQ offers an API to allow interacting with our platform. You can find in this documentation a list of all the endpoints available and how to use them. Please note we also offer a more user-centric API documentation available at [https://www.deployhq.com/support/api](https://www.deployhq.com/support/api). ## Access & Authentication Users are provided with an API key which can be found from the "Security" page within the "Settings" menu. It's a 40 character string which must be used with your username in order to authenticate. All API requests should be sent with HTTP Basic Authentication with your username (email address) and API key. All requests should also send the following headers: - `Accept: application/json` - `Content-Type: application/json` These requests should be in JSON and all responses received will be returned as JSON. Requests should be made to `https://.deployhq.com/` replacing `` with the name of your account. ```yaml # DeployHQ API Interactive Documentation # Version: 1.0.0 # DeployHQ API DeployHQ offers an API to allow interacting with our platform. You can find in this documentation a list of all the endpoints available and how to use them. Please note we also offer a more user-centric API documentation available at [https://www.deployhq.com/support/api](https://www.deployhq.com/support/api). ## Access & Authentication Users are provided with an API key which can be found from the "Security" page within the "Settings" menu. It's a 40 character string which must be used with your username in order to authenticate. All API requests should be sent with HTTP Basic Authentication with your username (email address) and API key. All requests should also send the following headers: - `Accept: application/json` - `Content-Type: application/json` These requests should be in JSON and all responses received will be returned as JSON. Requests should be made to `https://.deployhq.com/` replacing `` with the name of your account. # Base URL: https://{account}.deployhq.com ``` -------------------------------- ### POST /projects/{id}/ai_deployment_overview Source: https://api.deployhq.com/docs.json API endpoint for POST /projects/{id}/ai_deployment_overview ```markdown ### Parameters - **id** (string, path, required): The identifier or permalink of the project ### Request Body **Content-Type:** application/json - **start_ref** (string) - **end_ref** (string) (required) ### Responses #### 200 - response **6ae6a0a535696037d05523969e0e87b0** - **success** (boolean) (required) - **overview** (string) (required) #### 400 - response **d705ca2b44ba1a70234622833cd2b066** - **success** (boolean) (required) - **error** (string) (required) #### 401 - response **c05b3ceb32406df5ef17ddbd369eaef6** - **status** (integer) (required) - **error** (string) #### 403 - response **c05b3ceb32406df5ef17ddbd369eaef6** - **status** (integer) (required) - **error** (string) #### 422 - response **d705ca2b44ba1a70234622833cd2b066** - **success** (boolean) (required) - **error** (string) (required) #### 500 - response **c05b3ceb32406df5ef17ddbd369eaef6** - **status** (integer) (required) - **error** (string) ### Example Usage ```bash curl -X POST "https://{account}.deployhq.com/projects/{id}/ai_deployment_overview" \ -H "Content-Type: application/json" \ -d '{ "example": "data" }' ``` ``` -------------------------------- ### POST /projects/{project_id}/build_commands Source: https://api.deployhq.com/docs.json API endpoint for POST /projects/{project_id}/build_commands ```markdown ### Parameters - **project_id** (string, path, required): The identifier or permalink of the project ### Request Body **Content-Type:** application/json - **build_command** (object) (required) - **description** (string) - **command** (string) (required) - **template_name** (string) - **halt_on_error** (boolean) - **enabled** (boolean) ### Responses #### 200 - response **29e2e8196acd2a86502a75e9f3b1b341** - **id** (integer) - **project_id** (null,integer) - **description** (string) - **command** (string) - **halt_on_error** (boolean) - **position** (integer) - **created_at** (string) - **updated_at** (string) - **identifier** (string) - **parent_type** (string) - **parent_id** (integer) - **template_name** (string) - **enabled** (boolean) #### 401 - response **c05b3ceb32406df5ef17ddbd369eaef6** - **status** (integer) (required) - **error** (string) #### 403 - response **c05b3ceb32406df5ef17ddbd369eaef6** - **status** (integer) (required) - **error** (string) #### 422 - response **c05b3ceb32406df5ef17ddbd369eaef6** - **status** (integer) (required) - **error** (string) #### 500 - response **627a92f529406e56d6fe39ce68168f39** - **field_with_error** (string) (required) ### Example Usage ```bash curl -X POST "https://{account}.deployhq.com/projects/{project_id}/build_commands" \ -H "Content-Type: application/json" \ -d '{ "example": "data" }' ``` ``` -------------------------------- ### GET /{id}/status_badge.svg Source: https://api.deployhq.com/docs.json API endpoint for GET /{id}/status_badge.svg ```markdown ### Parameters - **id** (string, path, required): The project permalink - **identifier** (string, path, optional): Optional server or server group identifier to check status for a specific component ### Responses #### 200 - response **973422667d9d4b9ed6d668db017ba049** #### 401 - response **c05b3ceb32406df5ef17ddbd369eaef6** - **status** (integer) (required) - **error** (string) #### 403 - response **c05b3ceb32406df5ef17ddbd369eaef6** - **status** (integer) (required) - **error** (string) #### 404 - response **46849f4a4904cf0d65bfbfb6525045f9** #### 500 - response **c05b3ceb32406df5ef17ddbd369eaef6** - **status** (integer) (required) - **error** (string) ### Example Usage ```bash curl -X GET "https://{account}.deployhq.com/{id}/status_badge.svg" ``` ``` -------------------------------- ### POST /projects/{project_id}/config_files Source: https://api.deployhq.com/docs.json API endpoint for POST /projects/{project_id}/config_files ```markdown ### Parameters - **project_id** (string, path, required): The identifier or permalink of the project ### Request Body **Content-Type:** application/json - **config_file** (object) (required) - **path** (string) - **body** (string) - **build** (boolean) - **language** (string) - **description** (string) ### Responses #### 200 - response **e7b4fb31a0b359a4980323278fb1385d** - **identifier** (string) - **description** (string) - **path** (string) - **body** (string) - **build** (boolean) - **servers** (array (object)) Array items: - **id** (integer) - **identifier** (string) - **name** (string) - **protocol_type** (string) - **server_path** (string) - **last_revision** (null,string) - **preferred_branch** (string) - **branch** (string) - **notify_email** (string) - **server_group_identifier** (string) - **auto_deploy** (boolean) - **environment** (string) - **enabled** (boolean) - **agent** (null,string) - **atomic** (boolean) - **atomic_strategy** (string) - **atomic_retention** (integer) - **use_compression** (boolean) - **use_accelerated_transfer** (boolean) - **root_path** (string) - **position** (integer) - **created_at** (string) - **updated_at** (string) - **connection_checked_at** (null,string) - **connection_error_message** (null,string) - **hostname** (string) - **username** (string) - **port** (string) - **use_ssh_keys** (boolean) - **host_key** (string) - **unlink_before_upload** (boolean) #### 401 - response **c05b3ceb32406df5ef17ddbd369eaef6** - **status** (integer) (required) - **error** (string) #### 403 - response **c05b3ceb32406df5ef17ddbd369eaef6** - **status** (integer) (required) - **error** (string) #### 422 - response **627a92f529406e56d6fe39ce68168f39** - **field_with_error** (string) (required) #### 500 - response **c05b3ceb32406df5ef17ddbd369eaef6** - **status** (integer) (required) - **error** (string) ### Example Usage ```bash curl -X POST "https://{account}.deployhq.com/projects/{project_id}/config_files" \ -H "Content-Type: application/json" \ -d '{ "example": "data" }' ``` ``` -------------------------------- ### GET /{id}/{identifier}/status_badge.svg Source: https://api.deployhq.com/docs.json API endpoint for GET /{id}/{identifier}/status_badge.svg ```markdown ### Parameters - **id** (string, path, required): The project permalink - **identifier** (string, path, optional): Optional server or server group identifier to check status for a specific component ### Responses #### 200 - response **973422667d9d4b9ed6d668db017ba049** #### 401 - response **c05b3ceb32406df5ef17ddbd369eaef6** - **status** (integer) (required) - **error** (string) #### 403 - response **c05b3ceb32406df5ef17ddbd369eaef6** - **status** (integer) (required) - **error** (string) #### 404 - response **46849f4a4904cf0d65bfbfb6525045f9** #### 500 - response **c05b3ceb32406df5ef17ddbd369eaef6** - **status** (integer) (required) - **error** (string) ### Example Usage ```bash curl -X GET "https://{account}.deployhq.com/{id}/{identifier}/status_badge.svg" ``` ``` -------------------------------- ### GET /projects/{project_id}/server_groups Source: https://api.deployhq.com/docs.json API endpoint for GET /projects/{project_id}/server_groups ```markdown ### Parameters - **project_id** (string, path, required): The identifier or permalink of the project ### Responses #### 200 - response **0df3242bb6b5d23ead9c62631168ec76** - Array of object - **identifier** (string) - **name** (string) - **servers** (array (object)) Array items: - **id** (integer) - **identifier** (string) - **name** (string) - **protocol_type** (string) - **server_path** (string) - **last_revision** (string) - **preferred_branch** (string) - **branch** (string) - **notify_email** (string) - **server_group_identifier** (string) - **auto_deploy** (boolean) - **environment** (string) - **enabled** (boolean) - **agent** (null,string) - **atomic** (boolean) - **atomic_strategy** (string) - **atomic_retention** (integer) - **use_compression** (boolean) - **use_accelerated_transfer** (boolean) - **root_path** (string) - **position** (integer) - **created_at** (string) - **updated_at** (string) - **connection_checked_at** (null,string) - **connection_error_message** (null,string) - **hostname** (string) - **username** (string) - **port** (string) - **use_ssh_keys** (boolean) - **host_key** (string) - **unlink_before_upload** (boolean) - **preferred_branch** (string) - **last_revision** (string) - **environment** (string) #### 401 - response **c05b3ceb32406df5ef17ddbd369eaef6** - **status** (integer) (required) - **error** (string) #### 403 - response **c05b3ceb32406df5ef17ddbd369eaef6** - **status** (integer) (required) - **error** (string) #### 500 - response **c05b3ceb32406df5ef17ddbd369eaef6** - **status** (integer) (required) - **error** (string) ### Example Usage ```bash curl -X GET "https://{account}.deployhq.com/projects/{project_id}/server_groups" ``` ```